<?php
session_start();
$session_timeout=600;
if(!isset($_SESSION['last_access']) || !isset($_SESSION['user']))
{echo "<script type='text/javascript'>document.location.replace('./login.php');</script>";
die();
}
if(time()-$_SESSION['last_access']>$session_timeout)
{unset($_SESSION['last_access']);
unset($_SESSION['user']);
echo "<script type='text/javascript'>document.location.replace('./login.php');</script>";
die();
}
$_SESSION['last_access']=time();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="stylecss.php">
<title>Ajout d'un événement</title>
<style type="text/css">
#admin {
	text-align: center;
	display: block;
}
</style>
<script>
	function casesuivante(encours, suivant, limite)
	{
	if (encours.value.length == limite)
	document.addevent[suivant].focus();
	}
</script>
</head>

<body>
<h2>Administration</h2>

<?php
require_once 'function.php';
?>

<table>
	<tr><td id="lignemois" colspan="7"><a href="add-event.php?mois=<?php echo $num_mois-1; ?>&amp;annee=<?php echo $num_an; ?>"><<</a>&nbsp;&nbsp;<?php echo $tab_mois[$num_mois];  ?>&nbsp;&nbsp;<a href="add-event.php?mois=<?php echo $num_mois+1; ?>&amp;annee=<?php echo $num_an; ?>">>></a>
	<br><a href="add-event.php?mois=<?php echo $num_mois; ?>&amp;annee=<?php echo $num_an-1; ?>"><<</a>&nbsp;&nbsp;<?php echo $num_an;  ?>&nbsp;&nbsp;<a href="add-event.php?mois=<?php echo $num_mois; ?>&amp;annee=<?php echo $num_an+1; ?>">>></a></td></tr>
<?php
	affichage($tab_jours, $tab_cal, $num_mois, $num_an);
?>
</table>
<h2>Ajout d'une réservation</h2>
<?php
if (isset($_POST['sumbitModif']))
{
	$result = checkData();

	if (isset($result['check']) && isset($result['check1'])) 
	{
		saveData($result);
	}
	else
	{
		echo '<p>Des erreurs se sont produites, veuillez les corriger.</p>';
	}
}

function saveData($result)
{	global $numid, $xml, $num_an, $num_mois, $mail, $tel;

	$id = $numid+1;
	$eventdate = $result['event_date'];
	$eventdate1 = $result['event_date1'];
	$noms = $result['noms'];
	$evenement = $xml->addchild('evenement');
	$evenement->addchild('id', $id);
	$evenement->addchild('noms', $noms);
	$evenement->addchild('email', $mail);
	$evenement->addchild('teleph', $tel);
	$evenement->addchild('eventdatedeb', $eventdate);
	$evenement->addchild('eventdatefin', $eventdate1);
	$evenement->addchild('coul', 3);
	$xml->asXML('cal/calendrier.xml');
	
	$dom = new DOMDocument('1.0'); 
    $dom->preserveWhiteSpace = false;
    $dom->formatOutput = true;
    $dom->loadXML($xml->asXML());
    $formatedXML = $dom->saveXML();
 
    $h = fopen('cal/calendrier.xml','w+');
    fwrite($h, $formatedXML);
    fclose($h);

	echo "<script type='text/javascript'>document.location.replace('add-event.php?mois=".$num_mois."&amp;annee=".$num_an."');</script>";

	}

function checkData()
{
	$result = array();

	$day = isset($_POST['day']) && $_POST['day'] != '' ? $_POST['day'] : false;
	$month = isset($_POST['month']) && $_POST['month'] != ''  ? $_POST['month'] : false;
	$year = isset($_POST['year']) && $_POST['year'] != ''  ? $_POST['year'] : false;

	$day1 = isset($_POST['day1']) && $_POST['day1'] != '' ? $_POST['day1'] : false;
	$month1 = isset($_POST['month1']) && $_POST['month1'] != ''  ? $_POST['month1'] : false;
	$year1 = isset($_POST['year1']) && $_POST['year1'] != ''  ? $_POST['year1'] : false;
	
	$noms = $_POST['noms'];
	$mail = $_POST['email'];
	$tel = $_POST['teleph'];

	$resul['check'] = false;
//	$result['event_date'] = $year.'-'.$month.'-'.$day;
	$result['event_date'] = $day.'-'.$month.'-'.$year;
	
	$resul['check1'] = false;
//	$result['event_date1'] = $year1.'-'.$month1.'-'.$day1;
	$result['event_date1'] = $day1.'-'.$month1.'-'.$year1;
	
	$result['noms'] = $noms;
	$result['email'] = $mail;
	$result['teleph'] = $tel;
	
		if ($year > $year1) { $result['check'] = boolval(0); }
		elseif ($year >= $year1 && $month > $month1) { $result['check'] = boolval(0); }
		elseif ($year >= $year1 && $month >= $month1 && $day > $day1) { $result['check'] = boolval(0); }
	else {
	if (checkdate($month, $day, $year)) { $result['check'] = true; }
	
	if (checkdate($month1, $day1, $year1)) { $result['check1'] = true; }
	
	}
	return $result;
}

function displayForm($result = array())
{	global $num_an, $num_mois;
	$day = isset($result['day']) ? $result['day'] : '';
	$month = isset($result['month']) ? $result['month'] : '';
	$year = isset($result['year']) ? $result['year'] : '';
	
	$day1 = isset($result['day1']) ? $result['day1'] : '';
	$month1 = isset($result['month1']) ? $result['month1'] : '';
	$year1 = isset($result['year1']) ? $result['year1'] : '';

	if (isset($result['event_date']))
	{	
		$date = explode('-', $result['event_date']);
	}
	else
	{
		$date[2] = '';
		$date[1] = '';
		$date[0] = ''; 
	}
	
	if (isset($result['event_date1']))
	{
		$date1 = explode('-', $result['event_date1']);
	}
	else
	{
		$date1[2] = '';
		$date1[1] = '';
		$date1[0] = '';
	}

	echo "";
}
?>
	<form name="addevent" id="form-add-event" method="post" action="">
	<p>
		<label for="noms">Votre Nom & Prénom*</label><br>
		<input type="text" id="noms" name="noms" size="21" required="required" />
		<br /><p><label for="email">Votre mail*</label><br/>
		<input type="email" id="email" name="email" size="21" required="required" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$" />
		<br /><p><label for="teleph">Votre N°tournée*</label><br/>
		<input type="text" id="teleph" name="teleph" size="21" required="required" /><br/>
        <br/><label for="day">Date de début*</label><br/>
		<input type="text" id="day" name="day" size="1" minlength="2" onkeyup="casesuivante(this, 'month', 2)" autofocus required="required" />
		/ <input type="text" id="month" name="month" size="1" minlength="2" onkeyup="casesuivante(this, 'year', 2)" required="required" />
		/ <input type="text" id="year" name="year" size="2" minlength="4" onkeyup="casesuivante(this, 'day1', 4)" required="required" />
		<br/><label for="day1">Date de fin*</label><br/>
		<input type="text" id="day1" name="day1" size="1" minlength="2" onkeyup="casesuivante(this, 'month1', 2)" required="required" />
		/ <input type="text" id="month1" name="month1" size="1" minlength="2" onkeyup="casesuivante(this, 'year1', 2)" required="required" />
		/ <input type="text" id="year1" name="year1" size="2" minlength="4" onkeyup="casesuivante(this, 'noms', 4)" required="required" />
	</p>

	<p><input type="submit" name="sumbitModif" value="Ajouter la réservation"/></p>
	</form>

<?php
	echo "<p><a href='admin.php?mois=".$num_mois."&amp;annee=".$num_an."'><button>Retour</button></a></p>";
?>	
</body>
</html>