<?php
session_start();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
<meta charset="utf-8">
<title>Calendrier de réservations</title>
<link rel="stylesheet" type="text/css" href="stylecss.php">
<style>
label {
	display: block;
	font-size:1.2em;
	width:200px;
	}
textarea {
	font-size:1em;
	color: black;
	border-width:1px;
	border-color:rgb(21,112,166);
	background-color : white;
	padding:6px;
	}
.bandeau {
	width: 80px;
	height: 30px;
}
.interligne{
	margin: 2px;
}
</style>
<script>
function adjust_iframe_height(){
    var actual_height = document.getElementById('locat').scrollHeight;
    parent.postMessage(actual_height,"*"); 
    //* aucune restriction de domaine sur les pages-hôtesses
}
</script>
</head>
<body id="locat" onload="adjust_iframe_height();">
<?php
require_once 'function.php';
?>
<div id="caltop">
<table>
<tr>
<td class="bandeau" style="background-color:<?= $couleur_fond ?>">Dispo</td>
<td class="bandeau" style="background-color:<?= $couleur_ecart2 ?>">Demandé</td>
<td class="bandeau" style="background-color:<?= $couleur_ecart ?>">Réservé</td>
<td class="bandeau" style="background-color:<?= $couleur_ecart3 ?>">Bloqué</td>
</tr>
</table>
<br>
<table style="max-width:500px;">
	<tr><td id="lignemois" colspan="7"><a href="index.php?mois=<?php echo $num_mois-1; ?>&amp;annee=<?php echo $num_an; ?>"><<</a>&nbsp;&nbsp;<?php echo $tab_mois[$num_mois];  ?>&nbsp;&nbsp;<a href="index.php?mois=<?php echo $num_mois+1; ?>&amp;annee=<?php echo $num_an; ?>">>></a>
	<br /><a href="index.php?mois=<?php echo $num_mois; ?>&amp;annee=<?php echo $num_an-1; ?>"><<</a>&nbsp;&nbsp;<?php echo $num_an;  ?>&nbsp;&nbsp;<a href="index.php?mois=<?php echo $num_mois; ?>&amp;annee=<?php echo $num_an+1; ?>">>></a></td></tr>
<?php
	affichage($tab_jours, $tab_cal, $num_mois, $num_an);
?>
</table>
<br><br>
</div>
<h2>Renseignements pour votre réservation</h2>
<?php
global $message;
if (isset($_POST['submitsouhaits']))
{
	$result = checkData();

	if ($result['check']  && $result['check1']) 
	{
		saveData($result);
		
//echo $result['noms']."__".$result['email']."__".$result['event_date']."__".$result['event_date1'];
	}
	else
	{
//		echo '<p>Des erreurs se sont produites, veuillez les corriger.</p>';
	echo "<script type='text/javascript'> alert('".$message."');</script>";
	$message = "";
	}
		echo "<script type='text/javascript'>document.location.replace('index.php?mois=".$num_mois."&amp;annee=".$num_an."&amp;message=".$message."');opener.location.reload();calendrier.close()</script>";
//	} 
}


function saveData($result)
{	global $numid, $xml, $num_an, $num_mois, $monmail, $rempl;

	$id = $numid+1;
	$eventdate = $result['event_date'];
	$eventdate1 = $result['event_date1'];
	$noms = $result['noms'];
	$adresse = $result['adresse'];
	$ville = $result['ville'];
	$mail = $result['email'];
	$tel = $result['teleph'];
	$comment = $result['comment'];
	$evenement = $xml->addChild('evenement');
	$evenement->addchild('id', $id);
	$evenement->addchild('noms', $noms);
	$evenement->addchild('adresse', $adresse);
	$evenement->addchild('ville', $ville);
	$evenement->addchild('email', $mail);
	$evenement->addchild('teleph', $tel);
	$evenement->addchild('eventdatedeb', $eventdate);
	$evenement->addchild('eventdatefin', $eventdate1);
	$evenement->addchild('comment', $comment);
	$evenement->addchild('coul', 2);
	$xml->asXML('cal/calendrier.xml');

	$dom = new DOMDocument('1.0'); 
    $dom->preserveWhiteSpace = false;
    $dom->formatOutput = true;
    $dom->loadXML($xml->asXML());
    $formatedXML = $dom->saveXML();
 
    $h = fopen('cal/calendrier.xml','w+');
    fwrite($h, $formatedXML);
    fclose($h);
	
$sujet = "Vous avez reçu une demande de réservation";

$mestext = "
M/Mme : ".$noms."\r\n
Adresse : ".$adresse."\r\n
Ville   : ".$ville."\r\n
Adresse mail : ".$mail."\r\n
Téléphone : ".$tel."\r\n
Période de location souhaitée :\r\n
du ".$eventdate." au ".$eventdate1."\r\n
Commentaires supplémentaires : \r\n".$comment." \r\n
Pensez à confirmer votre réponse sur le site\r\n";
$mestext = wordwrap($mestext, 70, "\r\n");
	
$meshtml = "
<html>
<head>
<title>Demande de réservation</title>
<meta charset='utf-8'>
</head>
<body>
<p>
<span>M/Mme : ".$noms."</span>
<span><br>Adresse : ".$adresse."</span>
<span><br>Ville   : ".$ville."</span>
<span><br>Adresse mail : ".$mail."</span>
<span><br>Téléphone : ".$tel."</span>
<span><br>Période de location souhaitée :</span>
<span><br>du ".$eventdate." au ".$eventdate1."</span>
<span><br>Commentaies supplémentaires : <br>".$comment."</span>
<span><br><br>Pensez à confirmer votre réponse sur le site : </span>
</p>
</body>
</html>
";	

	$test = envoimailHT($mail, $monmail, $sujet, $mestext, $meshtml, $rempl);
	if ($test == "false"){
		$message = "Une erreur est survenue lors de l\'envoi du mail. Veuillez contacter M.".$rempl." à ".$monmail;
		echo "<script type='text/javascript'> alert('".$message."');</script>";
		$message = "";
	}else{
		$message = "Un mail à été envoyé à ".$rempl." pour la demande de location";
		echo "<script type='text/javascript'> alert('".$message."');</script>";
		$message = "";	
	}
	
	echo "<script type='text/javascript'> self.close();</script>";
}

function checkData() {
	global $message;
	$result = array();
	
	$daydeb = isset($_POST['day']) && $_POST['day'] != '' ? $_POST['day'] : false;
//echo "<script> alert('".$daydeb."'); </script>";
	$day = substr($daydeb, -2);
	$month = substr($daydeb, -5, 2);
	$year = substr($daydeb, 0, 4);

	$dayfin = isset($_POST['day1']) && $_POST['day1'] != '' ? $_POST['day1'] : false;
//echo "<script> alert('".$dayfin."'); </script>";
	$day1 = substr($dayfin, -2);
	$month1 = substr($dayfin, -5, 2);
	$year1 = substr($dayfin, 0, 4);

	$noms = $_POST['noms'];
	$adresse = $_POST['adresse'];
	$ville = $_POST['ville'];
	$mail = $_POST['email'];
	$tel = $_POST['teleph'];
	$comment = $_POST['comment'];
	
	$result['check'] = false;
	$result['event_date'] = $day.'-'.$month.'-'.$year;
	
	$result['check1'] = false;
	$result['event_date1'] = $day1.'-'.$month1.'-'.$year1;
	
	$result['noms'] = $noms;
	$result['adresse'] = $adresse;
	$result['ville'] = $ville;
	$result['email'] = $mail;
	$result['teleph'] = $tel;
	$result['comment'] = $comment;
	
		if ($year > $year1) { $result['check'] = boolval(0); 
			$message = "Vous avez fait une erreur dans les dates";}
		elseif ($year >= $year1 && $month > $month1) { $result['check'] = boolval(0);
			$message = "Vous avez fait une erreur dans les dates";}
		elseif ($year >= $year1 && $month >= $month1 && $day > $day1) { $result['check'] = boolval(0);
			$message = "Vous avez fait une erreur dans les dates";}

	else {
	if (checkdate($month, $day, $year)) { $result['check'] = true; }
		else { $$result['check'] = false;
			$message = "Vous avez fait une erreur dans les dates de début";}
		
	if (checkdate($month1, $day1, $year1)) { $result['check1'] = true; }
		else { $$result['check1'] = false;
			$message = "Vous avez fait une erreur dans les dates de fin";}
	}
	if ($message == ""){
		$message = periode_valid($month, $day, $year, $month1, $day1, $year1);
		if ($message != ""){
			$result['check'] = false;
		}
	}
	return $result;
}

?>

<div>
<center>
<form name="souhait" id="form-souhait" method="post" action="">
		<input class="interligne" type="text" id="calnoms" name="noms" size="40" placeholder="Nom & Prénom*" onchange="memoinfo(this.id, this.value)" required autofocus /><br>
		<input class="interligne" type="text" id="caladresse" name="adresse" size="40" placeholder="Adresse complète*" onchange="memoinfo(this.id, this.value)" required /><br>
		<input class="interligne" type="text" id="calville" name="ville" size="40" placeholder="Code postal Ville*" onchange="memoinfo(this.id, this.value)" required /><br>
		<input class="interligne" type="email" id="calemail" name="email" size="40" placeholder="Votre mail*" onchange="memoinfo(this.id, this.value)" required pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$" /><br>
		<input class="interligne" type="text" id="calteleph" name="teleph" size="40" placeholder="Votre Téléphone*" onchange="memoinfo(this.id, this.value)" required /><br><br>
		deb : <input type="date" id="day" name="day" required= />&nbsp;&nbsp;&nbsp;
		fin : <input type="date" id="day1" name="day1" required= /><br><br>
		<textarea id="calcomment" name="comment" rows="4" cols="30" placeholder="Un commentaire" onchange="memoinfo(this.id, this.value)"></textarea><br><br>
		<input type="button" onclick='effaceinfo()' value=" Effacez "/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" name="submitsouhaits" value=" Validez "/>
</form>
</center>
</div>
<!--<?php
echo "<br><a style='size:.6em;' href='admin.php?mois=".$num_mois."&amp;annee=".$num_an."'>Admin</a>";
?>-->
<br><br>
<footer class="foot">
<center>
<div>
<span>Création : frangin62 - 2021 mise à jour 07/2022 &nbsp;&nbsp;&nbsp;&nbsp; <a href='admin.php?mois=<?= $num_mois?>&amp;annee=<?= $num_an?>'>Admin</a></span>
</div>
</center>
</footer>
<br><br>
<script>
if (sessionStorage.getItem('calnoms')) document.getElementById('calnoms').value = sessionStorage.getItem('calnoms');
if (sessionStorage.getItem('caladresse')) document.getElementById('caladresse').value = sessionStorage.getItem('caladresse');
if (sessionStorage.getItem('calville')) document.getElementById('calville').value = sessionStorage.getItem('calville');
if (sessionStorage.getItem('calemail')) document.getElementById('calemail').value = sessionStorage.getItem('calemail');
if (sessionStorage.getItem('calteleph')) document.getElementById('calteleph').value = sessionStorage.getItem('calteleph');
if (sessionStorage.getItem('calcomment')) document.getElementById('calcomment').value = sessionStorage.getItem('calcomment');
function effaceinfo() {
sessionStorage.removeItem('calnoms');
sessionStorage.removeItem('caladresse');
sessionStorage.removeItem('calville');
sessionStorage.removeItem('calemail');
sessionStorage.removeItem('calteleph');
sessionStorage.removeItem('calcomment');
window.location.reload(false);
}
function memoinfo(infoid, info) {
if (typeof(Storage) !== "undefined") {
  sessionStorage.setItem(infoid, info);}
}
</script>
</body>
</html>


