<!doctype html>
<html lang="fr">
<head>
<meta charset="utf-8">
<title>Recapitulatif des remplacements</title>
<style>
table, hr {
	max-width: 100%;
	margin-left: 5%;
	margin-right: 5%;
}
form {
	margin-left: 5%;
}
table, td, th {
	border: 1px solid black;
	border-collapse: collapse;
	font-size: 3vw;
}
td {
	text-align: center;
}
caption, label {
	font-size: 3.5vw;
}
input {
	font-size: 2.5vw;
}
p {
	margin-left: 5%;
	font-size: 3vw;
}
h2 {
	text-align: center;
	font-size: 4vw;
}
</style>

</header>
<body>

<?php
$mois =  date("m");
$annee = date("Y");
$choixmois = $mois."-".$annee;

if (isset($_POST['submitsouhaits']))
{
$listmois = array("01"=>"Janvier","02"=>"Février","03"=>"Mars","04"=>"Avril","05"=>"Mai","06"=>"Juin","07"=>"Juillet","08"=>"Août","09"=>"Septembre","10"=>"Octobre","11"=>"Novembre","12"=>"Décembre");
$listjours = array("01"=>"31","02"=>"28","03"=>"31","04"=>"30","05"=>"31","06"=>"30","07"=>"31","08"=>"31","09"=>"30","10"=>"31","11"=>"30","12"=>"31");
echo '<input id="impression" name="impression" type="button" onclick="window.print()" value="Imprimer" />
<input type="button" value="Retour" onclick="history.go(-1)"> ';
$mois = $_POST['lemois'];
if ($mois < "01") $mois="12"; if ($mois > "12") $mois="01";
$annee = $_POST['lannee'];
$j1 = mktime(0,0,0,1,1,$annee);
if (date("L", $j1)) $listjours["02"]="29";
$choixmois = $mois."-".$annee;
echo "<p><b>Listing des remplacements pour le mois de ".$listmois[$mois]." ".$annee."</b></p>";
foreach (glob("Remp*") as $dir) {
	$calendrier = $dir."/cal/calendrier.xml";
	if (file_exists($calendrier)) {
		$xmlremp = simplexml_load_file($calendrier);
			foreach ($xmlremp->addmail as $rempl) {
			$nomrempl = $rempl->rempl;
			$mailrempl = $rempl->mail;
		}

echo "<table>
<caption>Remplaçant : ".$nomrempl." </caption>
<tr><th>Porteur</th><th>N° tournée</th><th>Date début</th><th>Date fin</th></tr>";

		foreach ($xmlremp->evenement as $event) {
			if ($event->coul == 1){
				$datedeb = $event->eventdatedeb;
				$datefin = $event->eventdatefin;
				$jourdeb = substr($datedeb, 0, 2);
				$jourfin = substr($datefin, 0, 2);
				$moisdeb = substr($datedeb, 3, 2);
				$moisfin = substr($datefin, 3, 2);
				if ($moisdeb == $mois || $moisfin == $mois) {
					$porteur = $event->noms;
					$tournee = $event->teleph;
					if ($moisfin == $mois+1) $datefin = $listjours[$mois]."-".$moisdeb."-".$annee;
					if ($moisdeb == $mois-1) $datedeb = "01-".$moisfin."-".$annee;
					 
				echo "<tr><td>".$porteur."</td><td>".$tournee."</td><td>".$datedeb."</td><td>".$datefin."</td></tr>";

				}
			}
		}
echo "</table><br>";
	}
echo "<hr><br>";

}
}else{
formchoix();
}
function formchoix(){
global $mois; global $annee;
echo '<form name="rempl" id="form-rempl" method="post" action="">
	<h2>Listing des Remplacements</h2>
	<p>
		<label for="lemois">Choisissez le mois et l\'annéee*</label><br>
		<input type="text" id="lemois" name="lemois" size="1" minlength="2" required="required" value="'.$mois.'" />
		/ <input type="text" id="lannee" name="lannee" size="4" minlength="4" required="required" value="'.$annee.'" />
	</p>
	<p><input type="submit" name="submitsouhaits" value=" Validez "/>
	</p>
</form>';
}
?>

</body>
</html>

